Bug 814512 - mingw64-pdcurses missing?
mingw64-pdcurses missing?
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mingw-pdcurses (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Erik van Pienbroek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 23:33 EDT by Ralf Corsepius
Modified: 2012-05-02 00:55 EDT (History)
4 users (show)

See Also:
Fixed In Version: mingw-pdcurses-3.4-12.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-02 00:55:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add mingw64-pdcurses (5.37 KB, patch)
2012-04-20 09:50 EDT, Ralf Corsepius
no flags Details | Diff

  None (edit)
Description Ralf Corsepius 2012-04-19 23:33:16 EDT
Description of problem:
Am I correct in assuming Fedora 17 is lacking a mingw64-pdcurses package?

There is a mingw32-pdcurses package, but I can't spot its mingw64 counterpart.

Version-Release number of selected component (if applicable):
mingw-pdcurses-3.4-11.fc17
Comment 1 Erik van Pienbroek 2012-04-20 07:17:09 EDT
Hi Ralf,

There currently is no mingw64-pdcursus as nobody has started porting it to the new MinGW packaging guidelines yet: https://fedoraproject.org/wiki/PackagingDrafts/MinGWCrossCompiler (these drafts were approved by the FPC some days ago). Perhaps you are interested in helping to port this package to the new packaging guidelines?
Comment 2 Ralf Corsepius 2012-04-20 09:50:16 EDT
Created attachment 579005 [details]
Add mingw64-pdcurses

This is a brute-force hack to add mingw64 to this packages.

[Diff against current mingw-pdcurses/master git]

I could apply this to git (master and f17) if this would be OK to you.
Comment 3 Erik van Pienbroek 2012-04-20 11:23:02 EDT
Excellent work :)

Two minor things:
- The mingw_build_win32 and mingw_build_win64 globals aren't needed any more and can be removed
- The summary for the mingw32-pdcurses package got changed to 'Curses library for MinGW64'. Shouldn't this be MinGW32?

Feel free to commit to master and f17 after you've made these two minor changes.

Thanks!
Comment 4 Ralf Corsepius 2012-04-20 22:42:44 EDT
(In reply to comment #3)

> - The mingw_build_win32 and mingw_build_win64 globals aren't needed any more
> and can be removed
> - The summary for the mingw32-pdcurses package got changed to 'Curses library
> for MinGW64'. Shouldn't this be MinGW32?
Done ... I also changed the patch's name into mingw-*.
 
> Feel free to commit to master and f17 after you've made these two minor
> changes.
Done - Builds are spinning.
Comment 5 Fedora Update System 2012-04-20 22:52:59 EDT
mingw-pdcurses-3.4-12.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mingw-pdcurses-3.4-12.fc17
Comment 6 Fedora Update System 2012-04-21 17:08:15 EDT
Package mingw-pdcurses-3.4-12.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mingw-pdcurses-3.4-12.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6346/mingw-pdcurses-3.4-12.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-05-02 00:55:17 EDT
mingw-pdcurses-3.4-12.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.